com.virtual.tour.road.com.virtual.tour.road.vista

## Class FragmentNavigationDrawer.FragmentNavItem

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.vista.FragmentNavigationDrawer.FragmentNavItem

- Enclosing class:
    FragmentNavigationDrawer

      private class FragmentNavigationDrawer.FragmentNavItem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.os.Bundle` | `fragmentArgs`
    `private java.lang.Class<? extends android.support.v4.app.Fragment>` | `fragmentClass`
    `private java.lang.String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FragmentNavItem(java.lang.String title, java.lang.Class<? extends android.support.v4.app.Fragment> fragmentClass)`
    `FragmentNavItem(java.lang.String title, java.lang.Class<? extends android.support.v4.app.Fragment> fragmentClass, android.os.Bundle args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.os.Bundle` | `getFragmentArgs()`
    `java.lang.Class<? extends android.support.v4.app.Fragment>` | `getFragmentClass()`
    `java.lang.String` | `getTitle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fragmentArgs

          private android.os.Bundle fragmentArgs

    - #### fragmentClass

          private java.lang.Class<? extends android.support.v4.app.Fragment> fragmentClass

    - #### title

          private java.lang.String title

  - ### Constructor Detail

    - #### FragmentNavItem

          public FragmentNavItem(java.lang.String title,
                                 java.lang.Class<? extends android.support.v4.app.Fragment> fragmentClass)

    - #### FragmentNavItem

          public FragmentNavItem(java.lang.String title,
                                 java.lang.Class<? extends android.support.v4.app.Fragment> fragmentClass,
                                 android.os.Bundle args)

  - ### Method Detail

    - #### getFragmentArgs

          public android.os.Bundle getFragmentArgs()

    - #### getFragmentClass

          public java.lang.Class<? extends android.support.v4.app.Fragment> getFragmentClass()

    - #### getTitle

          public java.lang.String getTitle()